#
# spec file for package gcal (Version 3.01)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           gcal
License:        GPL
Group:          Productivity/Office/Organizers
Autoreqprov:    on
Summary:        A Program for Printing Calendars
Version:        3.01
Release:        596.2
Source:         ftp://ftp.gnu.org/gnu/gcal/gcal-%{version}.tar.bz2
Patch:          gcal-bavarian-holiday.diff
Patch1:         gcal-3.01-relsymlinks.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %install_info_prereq

%description
Gcal is a program for printing calendars.  Gcal displays a calendar for
a month or a year, eternal holiday lists, and fixed date lists.  The
program correctly omits the dates that were skipped when the current
Gregorian calendar replaced the earlier Julian calendar.



Authors:
--------
    Thomas Esken <esken@uni-muenster.de>

%debug_package
%prep
%setup -q
%patch -p 1
%patch1 -p 1

%build
./configure --prefix=/usr --mandir=%_mandir \
  --infodir=%_infodir
make "CFLAGS=$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}/man1
make doclang=de prefix=$RPM_BUILD_ROOT/usr infodir=$RPM_BUILD_ROOT%{_infodir}/de \
     mandir=$RPM_BUILD_ROOT%{_mandir}/de/man1 install
perl -pi -e "s,$RPM_BUILD_ROOT,," $RPM_BUILD_ROOT/usr/share/gcal/misc/*/*
rm -f $RPM_BUILD_ROOT/%_infodir/de/dir*
rm -f $RPM_BUILD_ROOT/%_infodir/dir*
rm -f $RPM_BUILD_ROOT/usr/share/locale/locale.alias
%find_lang %name

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%install_info --info-dir=%{_infodir}/de %{_infodir}/de/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%install_info_delete --info-dir=%{_infodir}/de %{_infodir}/de/%{name}.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc ABOUT-NLS ATTENTION BUGS COPYING DISCLAIM HISTORY LIMITATIONS MANIFEST
%doc NEWS README SYMBOLS THANKS TODO
%doc data/gcalrc
/usr/share/gcal
/usr/bin/*
%dir %_infodir/de
%lang(de) %_infodir/de/gcal.info*.gz

%_infodir/gcal.info*.gz
%lang(de) %_mandir/de/man1/*
%_mandir/man1/*

%changelog -n gcal
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Feb 29 2004 - ro@suse.de
- remove dir files in info directories
* Thu Feb 26 2004 - hmacht@suse.de
- building as non-root user
- fixing filelist
* Thu Jan 22 2004 - schwab@suse.de
- Put info dir in the same directory as the info files.
* Tue Jul 01 2003 - coolo@suse.de
- possibly it's all my fault
* Tue Jul 01 2003 - coolo@suse.de
- fixing build
* Mon Jun 16 2003 - kssingvo@suse.de
- added %%dir /usr/share/info/de
* Wed May 28 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Feb 10 2003 - mmj@suse.de
- Use %%install_info macros [#23409]
- Use BuildRoot:
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Jun 19 2002 - ke@suse.de
- spec file:
- Use RPM macros more consistently.
- Move ./configure to the %%build section.
- Make sure to display bavarian related holidays properly; apply patch
  provided by Klaus Singvogel [# 15955].
* Thu Nov 30 2000 - bjacke@suse.de
- updated to 3.01
* Fri Feb 25 2000 - kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Sun Sep 14 1997 - Karl Eichwalder <ke@suse.de>
- gcal 2.40: initial package
